### Method

# Gtk TextIterforward_chars

#### Declaration [src]

    gboolean
    gtk_text_iter_forward_chars (
      GtkTextIter* iter,
      int count
    )

#### Description [src]

Moves `count` characters if possible.

If `count` would move past the start or end of the buffer, moves to the start or end of the buffer.

The return value indicates whether the new position of `iter` is different from its original position, and dereferenceable (the last iterator in the buffer is not dereferenceable). If `count` is 0, the function does nothing and returns `FALSE`.

#### Parameters

`count`

  Type: `int`

  Number of characters to move, may be negative.

#### Return value

Type: `gboolean`

Whether `iter` moved and is dereferenceable.